<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/BackendPage.inc.php" );

	class BackendPopup extends BackendPage {

		public function __construct( $id , $parent = null ) {
			parent::__construct( $id , $parent );
			$this->bIsPopup = true;
		}

		public function closeAndRefreshParent() {
			FNTH_direct_echo( FNTH_embed_js_string( "window.opener.location.href=window.opener.location.href;window.close();" ) );
			exit();
		}
		public function refreshWindowAndParent() {
			FNTH_direct_echo( FNTH_embed_js_string( "window.opener.location.href=window.opener.location.href;document.location.href=document.location.href;" ) );
			exit();
		}

	}

?>
